classification
Title: Failing doctests in Library/collections.rst
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Jelle Zijlstra, docs@python, python-dev, rhettinger, zach.ware
Priority: normal Keywords: patch

Created on 2016-06-04 00:27 by Jelle Zijlstra, last changed 2016-08-14 05:20 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
doctests-collections.patch Jelle Zijlstra, 2016-06-04 00:26
Messages (4)
msg267199 - (view) Author: Jelle Zijlstra (Jelle Zijlstra) * (Python triager) Date: 2016-06-04 00:26
Mostly due to unspecified sorting order. The patch sorts a few tests and skips others that can't easily be sorted (e.g. most_common and str() output).
msg272274 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-08-09 22:40
New changeset e399930d14f0 by Zachary Ware in branch '2.7':
Issue #27205: Fix doctests in Doc/library/collections.rst
https://hg.python.org/cpython/rev/e399930d14f0

New changeset 0d95e47cfe3e by Zachary Ware in branch '3.5':
Issue #27205: Fix doctests in Doc/library/collections.rst.
https://hg.python.org/cpython/rev/0d95e47cfe3e

New changeset 6817b8112f6e by Zachary Ware in branch 'default':
Closes #27205: Merge with 3.5
https://hg.python.org/cpython/rev/6817b8112f6e
msg272275 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-08-09 22:40
Thanks for the patch!
msg272644 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2016-08-14 05:20
FYI, this should have been assigned to me (the author of the examples being modified).
History
Date User Action Args
2016-08-14 05:20:48rhettingersetassignee: zach.ware -> rhettinger

messages: + msg272644
nosy: + rhettinger
2016-08-09 22:40:36zach.waresetversions: + Python 2.7, Python 3.5
nosy: + zach.ware

messages: + msg272275

assignee: docs@python -> zach.ware
type: behavior
2016-08-09 22:40:13python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg272274

resolution: fixed
stage: resolved
2016-06-04 00:48:01Jelle Zijlstralinkissue27200 dependencies
2016-06-04 00:27:00Jelle Zijlstracreate